
## How to contribute to RubyMutant
---

Did you find a bug?
- Ensure the bug was not already reported by searching on Github under [issues](https://github.com/coreyjs/ruby-mutant/issues).
- If you are unable to find any issue that is the same or address your problem, feel free to open a new bug report issue.  A clear and concise title and description of the bug and as much information possible on reproducible steps would greatly ensure the squashing of said bug.


**Did you create a patch that fixes a bug?**
- Open a new PR with the code fix
- Ensure your PR description is clear and concise and describes the problem and the solution.  Include the issue # as well.
- Make sure your patch has the appropriate test coverage to confirm the fix.
- Once in review, a maintainer will review the PR and provide any needed feedback and guidance to help get the PR merged in.


**Did you want to add a new feature or enhancement?**
- Create a feature request using the "Feature Request" issue template, [here](https://github.com/coreyjs/ruby-mutant/issues/new?assignees=&labels=&template=feature_request.md&title=)
- Be clear about the feature you want to add, the problem it is looking to solve or the idea/intent behind the feature.
- If you plan to build the feature yourself, tag the issue with the label `work in progress` and assign yourself as an `Assignee` (or a maintainer can if permissions dont allow).
- For branch naming conventions when dealing with features, please prefix the branch name with`feature/` such as  `feature/this-adds-async-support`
- Once ready for review, open a PR with the base branch being `master`.  Once all builds are complete and passing, a maintainer will your with you to finalize any code changes that may be necessary.


Thanks everyone for their interest in this project!  This is meant to be a learning expiernce for everyone, to learn how to contribute and work in open source.  I encourage you to pitch in and let your creativity drive you. ❤️❤️❤️
